Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdEventTracker

All Known Implementing Classes:
  AdEventTrackerBase, AdTracking

    public interface AdEventTracker

Base interface for tracking events. The ad package raises two basic events. The display event is raised when an ad is displayed. The click thru event is raised when a user initiates some action against an ad.

Method Summary
`void` | `raiseClickThruEvent(String userId, javax.servlet.http.HttpServletRequest request, String containerUID, String contextUID, String placeholder, String contPath)` Raise an event when an ad is clicked on
`void` | `raiseDisplayEvent(String userId, javax.servlet.http.HttpServletRequest request, String containerUID, String contextUID, String placeholder, String contPath)` Raise an event when an ad is displayed.

Method Detail

### raiseDisplayEvent

    void raiseDisplayEvent(String userId,
                           javax.servlet.http.HttpServletRequest request,
                           String containerUID,
                           String contextUID,
                           String placeholder,
                           String contPath)

  Raise an event when an ad is displayed.

  Parameters
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contPath` - the content path of the ad

### raiseClickThruEvent

    void raiseClickThruEvent(String userId,
                             javax.servlet.http.HttpServletRequest request,
                             String containerUID,
                             String contextUID,
                             String placeholder,
                             String contPath)

  Raise an event when an ad is clicked on

  Parameters
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contPath` - the content path of the ad

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.